## nodogsplash-1.0.2.tar.gz

=== Makefile ===

CC?=gcc
CFLAGS?=-O2
CFLAGS+=-Isrc -Ilibhttpd
#CFLAGS+=-Wall -Wwrite-strings -pedantic -std=gnu99
LDFLAGS+=-pthread
LDLIBS=

STRIP=yes

NDS_OBJS=src/auth.o src/client_list.o src/commandline.o src/conf.o \
	src/debug.o src/firewall.o src/fw_iptables.o src/gateway.o src/http.o \
	src/httpd_thread.o src/ndsctl_thread.o src/safe.o src/tc.o src/util.o

LIBHTTPD_OBJS=libhttpd/api.o libhttpd/ip_acl.o \
	libhttpd/protocol.o libhttpd/version.o

.PHONY: all clean install checkastyle fixstyle

all: nodogsplash ndsctl

%.o : %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@

nodogsplash: $(NDS_OBJS) $(LIBHTTPD_OBJS)
	$(CC) $(LDFLAGS) -o nodogsplash $+ $(LDLIBS)

ndsctl: src/ndsctl.o
	$(CC) $(LDFLAGS) -o ndsctl $+ $(LDLIBS)

clean:
	rm -f nodogsplash ndsctl src/*.o libhttpd/*.o
	rm -rf dist

install:
#ifeq(yes,$(STRIP))
	strip nodogsplash
	strip ndsctl
#endif	
	mkdir -p $(DESTDIR)/usr/bin/
	cp ndsctl $(DESTDIR)/usr/bin/
	cp nodogsplash $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/etc/nodogsplash/htdocs/images
	cp resources/nodogsplash.conf $(DESTDIR)/etc/nodogsplash/
	cp resources/splash.html $(DESTDIR)/etc/nodogsplash/htdocs/
	cp resources/infoskel.html $(DESTDIR)/etc/nodogsplash/htdocs/
	cp resources/splash.jpg $(DESTDIR)/etc/nodogsplash/htdocs/images/

checkastyle:
	@command -v astyle >/dev/null 2>&1 || \
	{ echo >&2 "We need 'astyle' but it's not installed. Aborting."; exit 1; }

fixstyle: checkastyle
	@echo "\033[1;34mChecking style ...\033[00m"
	@astyle --lineend=linux --suffix=none --style=kr --indent=force-tab \
	--formatted --recursive "src/*.c" "src/*.h"|grep formatted \
	&& echo "\033[1;33mPrevious files have been corrected\033[00m" \
	|| echo "\033[0;32mAll files are ok\033[00m"

DEBVERSION=$(shell dpkg-parsechangelog | grep ^Version |cut -f2 -d\  | sed -e 's/-[0-9]*$$//' )
deb: clean
	mkdir -p dist/nodogsplash-$(DEBVERSION)
	tar --exclude dist --exclude ".git*" -cf - . | (cd dist/nodogsplash-$(DEBVERSION) && tar xf -)
	cd dist && tar cjf nodogsplash_$(DEBVERSION).orig.tar.bz2 nodogsplash-$(DEBVERSION)
	cd dist/nodogsplash-$(DEBVERSION) && dpkg-buildpackage -us -uc
	rm -rf dist/nodogsplash-$(DEBVERSION)

=== debian/changelog ===
nodogsplash (1.0.2-1) stable; urgency=medium

  * fix iptables syntax for 1.6.1 [ghost]
  * small allocation optimization [mwarning]
  * fix compilation for musl libc [jow]

 --  <mwarning@xanax>  Mon, 15 May 2017 23:21:16 +0200

nodogsplash (1.0.1-1) stable; urgency=low

  * Set version in source code to 1.0.1 [mwarning]
  * Add 'ndsctl json' option [gazambuja]

 -- Moritz Warning <moritzwarning@web.de> Thu, 28 Jul 2016 18:13:01 -0400

nodogsplash (1.0.0-1) stable; urgency=low

  * make "ndsctl auth/deauth" work with tokens [vavrecan]
  * add support for ipset [vavrecan]
  * fix segfault under high load and no daemon mode and debbuglevel 7 [hylics]
  * make "ndsctl auth" work with IP or MAC address [gazambuja]
  * allow to set debuglevel in configuration [lynxis]
  * set default loglevel from NOTICE to WARNING [lynxis]
  * fix crash when gw_mac is null [KeaneWang]
  * Fixed an overflow issue in BinVoucher when path to BinVoucher is too long [alexattws]
  * make clientmac and gatewaymac variable available in the splash page [mwarning]
  * remove static variables shared by threads to avoid race conditions [sayuan]
  * allow conditional strip of binaries in debian package [smoe]

 -- Moritz Warning <moritzwarning@web.de>  Fri, 27 May 2016 18:26:35 -0400

nodogsplash (0.9-beta9.9.9-2) unstable; urgency=low

  * Improved Debian packaging
    - policy bump to 3.9.6
    - added hardening
    - some extra work on the description
  * Added Moritz Warning and Steffen Moeller to uploaders
  * Initial release (Closes: #782736)

 -- Steffen Moeller <moeller@debian.org>  Fri, 26 Dec 2014 16:21:48 +0100

nodogsplash (0.9-beta9.9.9-1) unstable; urgency=low

  * fix regression introduced by BinVoucher feature,
    traffic was not blocked except on port 80 [mwarning]
  * make returned upload/download value by BinVoucher script
    optional, as stated in the documentation [mwarning]

 -- Moritz Warning <moritzwarning@web.de>  Sun, 15 Jun 2014 22:55:12 +0200

nodogsplash (0.9-beta9.9.8-1) unstable; urgency=low

  * send HTTP 302 instead of 307 because we use HTTP 1.0 [champtar]
  * add support for DROP, LOG, ULOG target for firewall rules [champtar]
  * remove multi-threading as libhttpd does not support it [sayuan]
  * add new parameters BinVoucher, ForceVoucher and EnablePreAuth
    in combination with per user bandwidth limitation [lindnermarek]
  * merge updates from Wifidog (1.1.3_beta6 @1162) up to @1464 [mwarning]
    * excluding commit [1375] containing feature from wifidog ticket #466
  * rewrite build system to use a simple Makefile [mwarning]
  * unify code style: astyle --style=k&r --indent=tab [mwarning]
  * send HTTP 405 for pre-authenticated non GET requests [redhotpenguin]
  * fix crash when token/redir is not set [mwarning]
  * avoid deadlocks for debug output [sayuan]
  * Debian package [sayuan]
  * OpenWrt package [mwarning]

 -- Moritz Warning <moritzwarning@web.de>  Fri, 06 Sep 2013 18:08:39 +0200

nodogsplash (0.9.9-3) unstable; urgency=low

  * Fixed buffer overflow bug in ndsctl.
  * Improved SIGCHLD handling in gateway.c and util.c.
  * Added FirewallRulesets trusted-users and trusted-users-to-router. This permits customized access control for trusted users, as for authenticated users, with the same ruleset semantics, instead of always accepting all trusted packets.
  * Added EmptyRuleSetPolicy directives for .conf file.  Permits optionally passing packets through to pre-existing firewall rules.
  * updated debian rules (for building debian package)

 -- Andraz Sraka <a@frubsd.org>  Sun, 11 Aug 2009 09:15:00 -0100

=== debian/control ===
Source: nodogsplash
Section: net
Priority: optional
Maintainer: Shiao-An Yuan <shiao.an.yuan@gmail.com>
Uploaders: Moritz Warning <moritzwarning@web.de>, Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: http://kokoro.ucsd.edu/nodogsplash/
Vcs-Git: git://github.com/nodogsplash/nodogsplash.git
Vcs-Browser: http://github.com/nodogsplash/nodogsplash

Package: nodogsplash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: manage access to public internet access
 Nodogsplash controls access to a public Internet connection and offers
 a simple way to open a Hotspot for wireless networks. It provides a
 captive portal to inform users about the services and optionally have
 them acknowledge the terms and conditions of its use.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export CFLAGS += -flto
export LDFLAGS += -flto

%:
	dh $@
